JNA API 3.3.0

## com.sun.jna
Class Platform

    java.lang.Object
      com.sun.jna.Platform

    public final class Platform

extends Object

Provide simplified platform information.

Field Summary
`static int` | `FREEBSD`
`static int` | `LINUX`
`static int` | `MAC`
`static int` | `OPENBSD`
`static int` | `SOLARIS`
`static int` | `UNSPECIFIED`
`static int` | `WINDOWS`
`static int` | `WINDOWSCE`

Method Summary
`static int` | `getOSType()`
`static boolean` | `hasRuntimeExec()`
`static boolean` | `is64Bit()`
`static boolean` | `isARM()`
`static boolean` | `isFreeBSD()`
`static boolean` | `isIntel()`
`static boolean` | `isLinux()`
`static boolean` | `isMac()`
`static boolean` | `isOpenBSD()`
`static boolean` | `isPPC()`
`static boolean` | `isSolaris()`
`static boolean` | `isWindows()`
`static boolean` | `isWindowsCE()`
`static boolean` | `isX11()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSPECIFIED

    public static final int UNSPECIFIED

See Also:
  Constant Field Values

### MAC

    public static final int MAC

See Also:
  Constant Field Values

### LINUX

    public static final int LINUX

See Also:
  Constant Field Values

### WINDOWS

    public static final int WINDOWS

See Also:
  Constant Field Values

### SOLARIS

    public static final int SOLARIS

See Also:
  Constant Field Values

### FREEBSD

    public static final int FREEBSD

See Also:
  Constant Field Values

### OPENBSD

    public static final int OPENBSD

See Also:
  Constant Field Values

### WINDOWSCE

    public static final int WINDOWSCE

See Also:
  Constant Field Values

Method Detail

### getOSType

    public static final int getOSType()

### isMac

    public static final boolean isMac()

### isLinux

    public static final boolean isLinux()

### isWindowsCE

    public static final boolean isWindowsCE()

### isWindows

    public static final boolean isWindows()

### isSolaris

    public static final boolean isSolaris()

### isFreeBSD

    public static final boolean isFreeBSD()

### isOpenBSD

    public static final boolean isOpenBSD()

### isX11

    public static final boolean isX11()

### hasRuntimeExec

    public static final boolean hasRuntimeExec()

### is64Bit

    public static final boolean is64Bit()

### isIntel

    public static final boolean isIntel()

### isPPC

    public static final boolean isPPC()

### isARM

    public static final boolean isARM()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.